//========================================================================================
//
//	File:				Dialog.h
//	Release Version:	$ ODF 2 $
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef DIALOG_H
#define DIALOG_H

#ifndef FWFRAME_H
#include "FWFrame.h"
#endif

#ifndef FWEVENT_H
#include "FWEvent.h"
#endif

#ifndef FWDIALOG_H
#include "FWDialog.h"
#endif

#ifndef FWEDVIEW_H
#include "FWEdView.h"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

//==============================================================================
// Forward Declarations
//==============================================================================

class CViewTesterPart;
class CViewTesterFrame;

//==============================================================================
// class CDialogFrame
//==============================================================================

class CDialogFrame : public FW_CDialogFrame
{
  public:
	FW_DECLARE_AUTO(CDialogFrame)

	CDialogFrame(Environment* ev, 
				ODFrame* odFrame, 
				FW_CPresentation* presentation, 
				CViewTesterPart* part);

	virtual ~CDialogFrame();

  public:	
	// ---- inherited API
	virtual void 		HandleNotification(Environment* ev, const FW_CNotification& notification);
//	virtual void 		Draw(Environment* ev, ODFacet* odFacet, ODShape* invalidShape);

	// -----New API
	void 				Initialize(Environment* ev);
	short 				GetResourceID(Environment* ev, const FW_CString& resName);
	
};


#endif
