//========================================================================================
//
//	File:				Frame.h
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FRAME_H
#define FRAME_H

// ----- Framework Includes -----

#ifndef FWFRAME_H
#include "FWFrame.h"
#endif

//========================================================================================
// Forward Class Desclarations
//========================================================================================

class FW_CPresentation;
class FW_CPart;
class FW_CIdler;

//========================================================================================
// CLASS CViewTesterFrame
//========================================================================================

class CViewTesterFrame : public FW_CFrame
{
public:
	FW_DECLARE_AUTO(CViewTesterFrame)

	CViewTesterFrame(Environment* ev, 
					ODFrame* odFrame, 
					FW_CPresentation* presentation, 
					FW_CPart* part);
	virtual ~CViewTesterFrame();

//	Inherited API
public:
	virtual void 		Draw(Environment* ev, ODFacet* odFacet, ODShape* invalidShape);
	virtual void 		CreateSubViews(Environment* ev);
	
//	Data fields
private:
	FW_CPart*			fPart;
	FW_CIdler*			fIdler;
};

#endif
