//	File:		Menus.fr
//
//	Contains:	Common (Platform independent) resources for Form part
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef FWMENUS_FR
#include "FWMenus.fr"
#endif

//----------------------------------------------------------------------------
//	Menus
//----------------------------------------------------------------------------

resource FW_RMenuBar(kMenuBar)
{
	"About ViewTester...",

	{
#if FW_MACAPP_VIEWS
		FW_RPullDownMenu
		(
			"MacApp"
			{
				FW_RTextItem(cReloadMAViews, '1', "Reload Views"),
				FW_RTextItem(cLoadNewMAViews, '2', "Use New Resource...")				
				FW_RTextItem(cLoadNewMAResFile, '3', "Open New File...")				
			}
		)
#endif
#if FW_PPOB_VIEWS
		FW_RPullDownMenu
		(
			"PowerPlant"
			{
				FW_RTextItem(cReloadPPobViews, '4', "Reload Views"),
				FW_RTextItem(cLoadNewPPobViews, '5', "Use New Resource...")				
				FW_RTextItem(cLoadNewPPobResFile, '6', "Open New File...")				
			}
		)
#endif
	}
};
