//========================================================================================
//
//	File:				MacVers.r
//	Release Version:	$ ODF 2 $
//
//	Author:				Henri Lamiraux
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "Types.r"
#include "SysTypes.r"

#ifndef FWBLDDEF_H
#include "FWBldDef.h"
#endif

//-------------------------------------------------------------------------------------
// Defines
//-------------------------------------------------------------------------------------

#define kRelease "ODF Release 2"
#define kVersion "1.1"

#ifdef FW_BUILD_MAC68K
#ifdef FW_DEBUG
	#define kBuild " (68K Debug)"
#else
	#define kBuild " (68K)"
#endif
#endif

#ifdef FW_BUILD_MACPPC
#ifdef FW_DEBUG
	#define kBuild " (PPC Debug)"
#else
	#define kBuild " (PPC)"
#endif
#endif

//-------------------------------------------------------------------------------------
// vers Resources
//-------------------------------------------------------------------------------------

resource 'vers' (1) {
	0x01,
	0x10,
	final,
	0x00,
	verUS,
	kRelease,
	kVersion
	kBuild
	"\n 1993-1996 Apple Computer, Inc."
};

resource 'vers' (2) {
	0x1,
	0x10,
	final,
	0x00,
	verUS,
	kRelease,
	kRelease
};
